<Project Sdk="Microsoft.NET.Sdk.Web">
	<PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <UserSecretsId>33662f19-efc5-4511-bd9a-1f4d7e7ed834</UserSecretsId>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    </PropertyGroup>
	<ItemGroup>
	  <Compile Remove="Middleware\**" />
	  <Content Remove="Middleware\**" />
	  <EmbeddedResource Remove="Middleware\**" />
	  <None Remove="Middleware\**" />
	</ItemGroup>

    <ItemGroup>
        <None Include="compilerconfig.json" />
        <None Include="E:\workspace\economy\economy\.editorconfig" />
    </ItemGroup>

    <ItemGroup>
        <EditorConfigFiles Remove="E:\workspace\economy\economy\.editorconfig" />
    </ItemGroup>

    <ItemGroup>
        <Content Update="Views\Price\Detail.cshtml">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
        <Content Update="wwwroot\js\gold.js">
            <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
            <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        </Content>
    </ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="9.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration" Version="9.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="9.0.0" />
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.21.0" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
		<PackageReference Include="System.Text.Encoding.CodePages" Version="8.0.0" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Views\Prices\" />
	</ItemGroup>
	
</Project>
